/* eslint-disable @typescript-eslint/no-var-requires */
const { z } = require('zod');

const envSchema = z.object({
  USE_DEV_COLORS: z
    .unknown()
    .optional()
    .transform((val) => !!val),
  PORT: z.string().optional(),
  BASE_PATH: z.string().optional().default(''),
  URL_CRM_GRAPHQL_DIRECT: z.string(),
  URL_GET_USER_DIRECT: z.string(),
  URL_CORE_FINGAP_DIRECT: z.string(),
});

module.exports = envSchema;
